VERSION 5.00
Begin VB.Form frmOptions 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "General Settings"
   ClientHeight    =   2220
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4935
   Icon            =   "frmOptions.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2220
   ScaleWidth      =   4935
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   2520
      TabIndex        =   5
      Top             =   1740
      Width           =   1095
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   3720
      TabIndex        =   6
      Top             =   1740
      Width           =   1095
   End
   Begin VB.Frame fraStd 
      Caption         =   "&Emulation Speed"
      Height          =   1575
      Left            =   120
      TabIndex        =   0
      Top             =   60
      Width           =   4695
      Begin VB.OptionButton optSpeed200 
         Caption         =   "&Double - Limit emulation to 200% real Spectrum speed"
         Height          =   255
         Left            =   180
         TabIndex        =   3
         Top             =   900
         Width           =   4335
      End
      Begin VB.OptionButton optSpeed50 
         Caption         =   "&Slow - Limit emulation to 50% of real Spectrum speed"
         Height          =   255
         Left            =   180
         TabIndex        =   1
         Top             =   300
         Width           =   4395
      End
      Begin VB.OptionButton optSpeedFastest 
         Caption         =   "&Fastest - Do not limit emulation speed"
         Height          =   255
         Left            =   180
         TabIndex        =   4
         Top             =   1200
         Width           =   4275
      End
      Begin VB.OptionButton optSpeed100 
         Caption         =   "&Real - Limit emulation to 100% real Spectrum speed"
         Height          =   255
         Left            =   180
         TabIndex        =   2
         Top             =   600
         Width           =   4335
      End
   End
End
Attribute VB_Name = "frmOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' /*******************************************************************************
'   frmOptions.bas within vbSpec.vbp
'
'   Public variable declarations, startup and initialization code,
'   and routines for loading the ROM and snapshots
'
'   Author: Chris Cowley <ccowley@grok.co.uk>
'
'   Copyright (C)1999-2000 Grok Developments Ltd.
'   http://www.grok.co.uk/
'
'   This program is free software; you can redistribute it and/or
'   modify it under the terms of the GNU General Public License
'   as published by the Free Software Foundation; either version 2
'   of the License, or (at your option) any later version.
'   This program is distributed in the hope that it will be useful,
'   but WITHOUT ANY WARRANTY; without even the implied warranty of
'   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'   GNU General Public License for more details.
'
'   You should have received a copy of the GNU General Public License
'   along with this program; if not, write to the Free Software
'   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'
' *******************************************************************************/

Option Explicit

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdOK_Click()
    If optSpeed50.Value Then
        glInterruptDelay = 40
    ElseIf optSpeed100.Value Then
        glInterruptDelay = 20
    ElseIf optSpeed200.Value Then
        glInterruptDelay = 10
    ElseIf optSpeedFastest.Value Then
        glInterruptDelay = 0
    End If
    SaveSetting "Grok", "vbSpec", "InterruptDelay", CStr(glInterruptDelay)
    Unload Me
End Sub

Private Sub Form_Load()
    Select Case glInterruptDelay
    Case 40
        ' // 40ms delay = 50% Spectrum speed
        optSpeed50.Value = True
    Case 20
        ' // 20ms delay = 100% Spectrum speed
        optSpeed100.Value = True
    Case 10
        ' // 10ms delay = 200% Spectrum speed
        optSpeed200.Value = True
    Case 0
        ' // 0 delay = run as fast as possible
        optSpeedFastest.Value = True
    End Select
    
End Sub


